<template>
	<view class="tm-modal" @click="$emit('click')">
		<slot></slot>
	</view>
</template>

<script>
	/**
	 * modal弹出层
	 * @click为点击元素的事件监听
	 */
	export default {
		data() {
			return {
				
			};
		}
	}
</script>

<style lang="less">
	.tm-modal {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 1000;
		background-color: rgba(18, 20, 26, 0.5);
	}
</style>
